(function (pathAndQuery, checkCurrent) {
    if(typeof window.require !== 'function'){
        return '';
    }
    var pageId = null;
    if (checkCurrent) {
        try {
            pageId = require('page-state').toJSON().id;
        } catch(e) {
            console.log(e);
        }
    }
    try {
        if (null === pageId) {
            pageId = require('app-router').getPageIdByUrl(pathAndQuery);
        }
    } catch (e) {
        console.log(e);
        pageId = '';
    }
    return pageId;
})